## gpxview 0.8.13-1

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = gpxview
VERSION = $${VERSION_PREFIX}0.8.13$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
APP = gpxview
MAEMO_VERSION_MAJOR = 5
prefix = /usr
datarootdir = /opt
datadir = /opt

LANGS = en_GB de_DE fi_FI
LANGS_HELP = en_GB de_DE fi_FI

all:

clean:

install-debian:
#	install -m 644 help/gpxview.html $(DESTDIR)$(prefix)/share/$(APP)

install-maemo:
	# the path to /share is hardcoded since datapath points to /opt on fremantle
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 $(APP).$$s.png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
		echo "Installing hildon help files"; \
		for LANG in $(LANGS_HELP); do \
			install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
			install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
		done;\
	fi

install: install-maemo
	install -d $(DESTDIR)$(datadir)/$(APP)
	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(datadir)/$(APP)
	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP)
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES ;\
		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\
	done

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
prefix = /usr
datarootdir = /opt
datadir = /opt
EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o dbus.o
VERSION = $${VERSION_PREFIX}0.8.13$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o gcvote.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0\" -DMAEMO_VERSION_MAJOR=5
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lz

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

bct.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
bct.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
bct.o: garmin_export.h gcvote.h misc.h
cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h gcvote.h misc.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: gcvote.h misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: gcvote.h misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: gcvote.h misc.h custom_type_renderer.h
dbus.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
dbus.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
dbus.o: garmin_export.h gcvote.h misc.h dbus.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h gcvote.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h gcvote.h misc.h
gcvote.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gcvote.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gcvote.o: precpos.h garmin_export.h gcvote.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h gcvote.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h gcvote.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h gcvote.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h gcvote.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h gcvote.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h gcvote.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h gcvote.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h gcvote.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
map-tool.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
map-tool.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
map-tool.o: precpos.h garmin_export.h gcvote.h misc.h converter.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h gcvote.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h gcvote.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h gcvote.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h gcvote.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h gcvote.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.8.13-1) unstable; urgency=low

  * Fixed version number mismatch

 -- Till Harbaum <till@harbaum.org>  Mon, 09 Nov 2009 17:44:37 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves
 as a geocaching navigation tool.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# Maemo icon gpxview.48.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwEAYAAAAHkiXEAAAABmJLR0T/////
 //8JWPfcAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAc0UlEQVR42u2ceXgV1fn4P+fM3Jubm4SbBGQTsgGiohKWVkWWm4Ao
 BSFYqGhVAqG2VmgirVoXyCIuKLJYtVWJCeBWFwJWXBDDDSAIGhNWRYGEAAIB
 s++5M+f3x8xl06+GSqvP8+t5nnluZjtz5n3P+Zx3OROhVP20jg8rpW41LhMz
 oXVe62jzOtAO6D1UBmgDtAHaTAAKVAkA4wwDgEXaQQBSqQK1wOhuFIIoFtfL
 AmCJHC9rANhqjMUqk63rtV+Df7Tfjw/kABFhhIHsr9XKGiCJfqLautzoDiCq
 gjoBuJ8/+LYQ/EB59NFt1y/utlatXn3k803XeFHRKlxFA+HWJraSJLaCyqWY
 XFAeFioPyPFEi/EArAQw86hSeSCqyRXVIJJJIhlUKgtUKpDGEtJAxFIsYgHI
 BTAXsNBcALIfC2U/wEsSXlAecpUHiGcF8SAK8IkCkKDSzPlQO6FmG9Gwvv26
 Gvf9UGh8Ost1DzQ2NtxjRgGQYd4KwHhdB1AlqgS+vrqsRn8bVrtXP97uMvjo
 640Pu++AynYVOaK/1TDhA6BUSmhpaX5MJcHGxo1/dw+Cg8sOOoL+AEah/wlV
 eargQcYBqDSKf0js31VUGoCKtre+1gZ2bTnEqBxQy1lhLrfe67S7A8dzSFI5
 VvsBSKMfaWCWUGx3yFL7lgwANZ+Faj4oHzHKeu8qAOUhXHlAefEp78nnSCDV
 LAHnBa5XTBMO31P+mjYVXp30xprwKth13s76oN5gzvePsQWUpDLgmxnHQ2Um
 vDTyjVlhx2FB0j8ebX89LBr/3PMRafBO7/f/4B5kvarKA1C3KgWfvvHJ/cGT
 IH/f+uHuL6HpxqYmvCBixUoVbbcqyRaCtZ9qpp+l6FOh9QFSW0eDXAdyKsil
 1uafTpF/OigvMcoL2jJWaMvArCDJrADDsDZtGXnaMqCYJIrBn02pPxtIJp5k
 0CIplpEnj5vpItNMB+2AWqAdAPUCMeoFMAqpMgpBlhEuy0Bm4pOZpylAxOp/
 A9eFrrkyDhLuHLqv8QtwNTl2sgj+cW/20A6/gE3vbrw79BIw841uhgHHj1dc
 pl8N+2ce6uV8GBwDtR7GXmjq3PC0dgBKFuwbFjwJWp6r6yDego/0jb1DQuCZ
 hpyi8HCIT+pzf9Nc6Nq1602tg0BO1QbYyEL7my3ItQAiVq48G/GbH5IMmsYU
 rYfd+yefHAH6U0zRnwIRi0/GgplHrsoDGclkGQmaZm1mHktUHrCIZLEI9BS8
 egoQTw7xoDwkK8/J4zJTKZkJ5gKx31wAcik+uRS0AcRoA0B5KFUeUMPIUMNO
 U4CFICDG2Avnn9+li98PXu/QofVz4Lz6jhP998Pa6I9ecv8W1msbdoaFQcv7
 DedpGlw0Ke7J5ma4cvMvbmu8Bwbu6Luw8T3om3rpmoaOUFhYHBG8GZZMffkC
 jwfaLQ/eYsyAAQP6xzU2gvvikMdssvvMVKtRPw5Be4Y0OKH1vu0HKkvA2Hvw
 xYYGUJ76u1o/AVB5qoSfDYJ0MJ8wS+Cw8+BE59dQmL/t4+AQ2Npn+wHH13B0
 aHksL0F1ZnWW82qoLKvbpqfDhcExM1qehX6L+o6qfxc67jpPmDNAdVE72AYH
 nj881hkNz6S+MDxyK1TFVyaJZfDHWdO0KhO6zOnc1PI2yFVyuLDmlrXKmqQT
 hD0XqGobQSMAWNMW8fsf2L27tj20vPXB40cGgvN3rtcdvcCs6PC2YyKw9cLp
 YVGgb+gxPHQ0aJnhpUE3gFkhw80KUB5rCyAoMEn7s0nzZ4O2lHhtqY2gReAv
 pMqfDbJMZMoy0DLN5VommC+IleYLYBZSZRaCBuEaQCY+LAR5bQXIP+t/g+p+
 dbucX0B1ZvVKhwNGzR35j5YbwXWh69qmobDRteVK13tQsMW3zXUNbMnaWBZR
 Du3u8uwJOwyD3Ff0rPdBc5fmi+U6+DS1SAQFgXmZyBEL4ca/jE+u7g/D6oet
 a7kL9FXOkeIWADaaJgCZmjVp+86wgmLlLlu6v2sDgGb7F5uzwTGn8R0uB3No
 Q4k/Fwiv6No8AcSQr7bXj4eWAne2ngHamh6auxy0xCuD218AUnTqHfxPMPMc
 41UBiGqShQA9mSS9+qQVpDwssRFUrKcAqFw4BUH98J1hBfm+ywrSAcz50Dvo
 wkcagKg7o2c3VkHR558tCA2BgoJ1q0PLoa6x8Qo+BcfEoJeFALVa+I3u8M2H
 1UosgndSPni+XS3wIT6VA0GdHQ5zKPxqx9Xz6r+G0SHX/L52B7ijQ98xBgMw
 BesXbcnpCCLnDAR9dDYIOgERrzkLVLSypvAYkDNBbMWrSkDNrvO1Pg8tUTum
 1sSC1lLe0b8FpBw41pMK8rpLQsO6gTY85BPH1RZqRMG3EaQlUmqbod+JIJFB
 lcg4iSC8+PCCKLA2HdsKEuvkMjkFKidULJMS8teuG+7qDJ5h4U/6B8PNIeM2
 1faA8pFHVgQFwcJtz86NEFAWfeBfWnsw9xm3qh5gLGa2Ggbusa7z1TiIqI5Y
 6p8KrkbXYZuWW1liUVF5AESmbe2cEwTpdZ16u/4KrQ84d2pXgGNOc46xBlgH
 ygv+6SpDVYBsTw5e0DKN2WYGmBVHkhr7g+H5/JhaAa5rY4KdfweKQx7R77MQ
 ZOT9RxBkWUGgfOIAnP9G9zDjZrgv9M8Jx94AMV17W5sJMtGxU62AUHdI/4Zw
 6Lk+7srgF+HQgSO9QvqAGd+yxCwFPYX+MhbqVjVMdGyAxW+8Uhc+FjZM2lTg
 vgduDpnQpbYWLv/4qvsbGiDkk5B8fzcQU0SWtvLHI0hGDvpjZByEzev+6ws3
 gupdFtewF4w3v3yu5k6g156brUm58trWPWDm+e8wCkFPCY8TT4KjfuCOiHdB
 zTyvOfgIUE2yfMtCkEw59wj6lhUEhIuloNW5rhRbQSY6HjL2gpFtjDHXwvYJ
 O+4KuQoKZxTlBV8ELVe1fiJiIKSb+wMmQ48XY5Obb4JuV3XZ0rwZtIEgfLD7
 yj2/dblgUdyzW8LTYPn8vJLQMfD1xq9fcRwC8wVz1rmxgk6OBZkJKjouy+0G
 +eSI9R1/A3qH68I6/xVE7i93tvsM1PLOLmcDqHF93ohYAUr10NotB7Vcthf7
 +e85YkCMNSgIp6+NhIBj5IXGxoZXhID3N38wPaw7fFNRPV5KkFPMtcoHV147
 cEDDI5Dmuf32b+ZB+oJ7Xz32FYxbPvK26gJw/TP4Nb8fylsq3tRGwKv3vmmE
 7YVXDr/mDpsPh6YdPOhw2M9LshF0Th0xvZd+EFjQPcz1HugvDsnuMBAcq8bM
 O/8+0EZcflv79aBUcLBIAG0ZRdp6/uOO2LcQBFQZlgIyCYfW51tW6z3hq6u+
 HOS6Dzb1KU53HgQtkSn6cxA8NyTELIIRYxNW1t8ElwZfdrTlY3DeHPSyOAY9
 L+81qnIhXHTRRbe3HIPc0GUpkePhkDqW4kiBtye8e0PYp1DecuRux8fwp2l3
 tFZ6oNvi7pe2lAPIqrNBEIBYBI45ItZxDahohUrnRCxI3yrX6VtBbXC7dSdI
 jzvMacWClovxgPatWFCyqAY9mXDLCvIfVyVgDm3a4B8MWpbjJZEBYn/Q70XK
 OUQQ4BNbobFTU5M5GYoqd2xwdgT//S2rrVgQ6UZ3iPZ2X9z0CERd2i3U+Aac
 TudDyoodxRpvgmtu0OVqNiQkDItu/CWMPnbNK1XxEPKYy2XcCi3PtXyg61B4
 y/a/BDfDqrve+0PIV1D75+o07UX46WNBKlXlgFJ1EwwD/Mc/b6yJhJaL3+10
 pAmMW79oqtkGYNyiZp9TBKm+Khqa/9HQUa6D3e/vDg56Bcx0c6jKAH+2ylA+
 6DEzKt8oBE9a5HizHYAQtqsdwxLAK7wqD0JCwt4wDLjOP7qlrg7iIuPubO4M
 muboaU6GWq2xIyth/Z833RDyKeyo2/lO8KMAZtRPGwuqyG8OhtbF67Vjx8DY
 u+aNo7uB4p2/qwoHY/HOp+veBjO9fo5h/IhYEODTLASVqr5gjDFvwQuHHy3f
 oveEo81HR+l/AZlJpvEAOK/WR5AD548+//nWqyD0dff9rZ9a6LLt4rXaWwAU
 sMj6VQo6HOrUSDikxd/2cFUB/PGxZF/lfEhm4sS6DnBBQ49l/tfhwIGDcxwj
 ob5nwy7HnLNTwAkErbJ7f/q/Hwtq/e3u2+sOgvnhrk61A0D1rfiT/wFQReYL
 KglUyZ7s2h1Aegl1A8FcQF/zhR8RC8JGkDHfCJProDq+Kl6bCrXLGg7Tz1KU
 roPjZf1BVQJBvYMeUUUgYuU2bb113oqMWwjijHA0MN54Ey6+6ZI1TUfgxitv
 6FRTA7fv/t3B44vh7t/MXHp0EPzqj6NG1c4E1+7ga+38w1mWc4Mg/Rc9hodM
 B21a585Bm4AqbaDZF8wS5RERAK2DzCgwjC9fq20P5mUtXxlDzioWdAJBi+QU
 +4a+YD5h/IkEqImsCdN6QOt9Le9TBGYfClUGGIvVH9RzoI6oElUEag7b7Rd8
 ydbwFKz60pVlXsagAEiyHDFhO2J6pooGkckhNRlcOMpZCEC5YYUqBoheZyn6
 AIJ6gGMO/RwTgXVA8kkEyfZ4ZXvQMlmhZYJZQfJ3xoLeinA7i0HNi8sMvh3E
 /oNL67NAi6zd4B9jOWIoMMvKZtY/DY7LmrYbCWDOdBbJvUChWMn3OGL/J4JU
 kUolBpoHtazWNDBmqUrtXycRpE2TCTIRtG0iQSkQsaw1bgb+bwR5laWAydZx
 IWSkJTDT8oADsaAfGY4+twhikX5IxoGe0m1NaCgQ3/Gw+35QHhFLFegpQpAD
 MrNGqgzQDuzPan0AtJTWQSLuRyBI5eITK8G4hRh/Nhj5LLQzYj47IzZZlYCZ
 R7LsD6QSq99lnW8LgoAM25FBy7LuO7eO2LmyguRSyy8JK5RTgbTOvZ2rwCwh
 VSQCkC6yAIzZxgNgzj8+r7ERlM+frWYD/64VJOLxqb4gy4gRyaCnqAWqEsx0
 1toISlYloNLNN1URqDSlVMCBO9UKOpERo1SdhiCVbiHohMMViAX9/DJiaWBG
 uT4WU0Cv63DQ0Qu0SBGrPrOtwRJLLkKAWlCR39gI5l7zFn/2D1tBQqmmv44f
 v1ad+RLN/2y6lkWw6YbN9wY9A+89uvomjwdqp9U9pU07ed3YW679otoH17w7
 6t6Gl/+dntrWEvTI8uUJP5iUf3rVF0denbRA7RlSu6xsZvw5b4Uau++JWg1a
 j60Nr7j12+dlWexK5zOg97zy2o4jgYLgP9rGyXcWoZRSSvG/8hMV+VM34P/3
 8j8F/MTlfwr4iYvwsmbwZpc1Ccvh1kGVCixUHjUbXO9Vx1akQ6dHCo31Grif
 q8ivzAMzytr8M1x/DXkcjjxy+W1D/NDg7LCqc2dQ6TJLn2jVZy/sIpBoCVgB
 xqX2fnv7uuX2fqzdjmL7NwrWquHrf9n4w5Mw7Hr59T4LFByc8PG18YAocBwC
 sMLIwDD/EAAWyf0ApMoyAArMfIBAnF8N01Ks1tj7XtsjT9YGAJArCqwn+mcA
 iFgtEsAcK1Zabxuoz7RXBup1ANp2x0P2++eD7uPo7dUzvacJin1AGrnkgnNk
 9a+qqyD21S+/2bcQIov3z9uzBygWBXoeqEVyv3Yj7Lk5dGSnW6HC1fNq/WIw
 cR5z9LQFn2jXu9YW9B5b0GW2gPva1yXZ+0Pt6+eD06ltl4H721Sq4g+kxAPH
 jn3xoRcQd9hGRjhZAOoTK4Qg+lk5LFWk6gBEgtxpVWC3Yq0ZCSD6CIsTrwnL
 ofxEXQBAiZppv4flQUxhBIAKMasBxM3yaQAq2WnXWASgDXS+C6BKzAftpLxa
 e7qA8FmaphTMdEcvx13Q1BpZ2XE/sG6/r/RiADKM7mCWmDHGFnA9VD3lm2Og
 DW/9qrkjmLOcOJbYDw7Ixk62i1L7uO0HiAR73z5/IsdkX2UJqq3FFhPk2/dn
 2AqIwV7ZZylApdvtSVL5AGoB2mlP91qOlPIJq6NkYI1ML2mWlGxHK/Bcn/3H
 C5Y/o5Yoy/wsFRnWCbMIQKWow3Y9VYFVEXZT7VgQKuD4+MDM11909IL6gg7u
 zpvBTJeRah2YUWaGGgJ6JOGUQrvxR/sdehgqPqprqomEVtye0FIAUU2gPnvI
 BlB0Ak1e+/xCe3+F3Y5SaH1AeayGt7nYtagZrR8AiAzdRpBIhuZ/moX+wVCT
 2XS3yIfm3a1bzXRwddbmiEQw8yg2S4BhapgqAZElnmIlqBL1a5UHIlZMEZmg
 ZqsclW69kz8ZZJn4i4wE41I1zjwf5FvyaWaB85faeuUBzzDnLn0qgJYrrRGE
 EVCA9qAtkECMIqBLL5hDHYf0W6H+667RUfnQ0uKeG7oAXCn1d9cng/IQSxU4
 Nx5bfeRTCM0+/NKBN6FpUsT7ETeA2d35d3fByfpO9gTQttvHbcVjhyJOuOoZ
 4Jgjy7RtwCxgVVvkHwhwiExrOYlIsD3s/aoKKqNr54hMeGr7+n3170BBbumv
 WwQY2f4nzHlAmijQx4NZSrxaAaKaYUZ3EMkMlVtBDSNM3gmE09dIBZFGsTVm
 VHdtAIQODt6kUuHy30cvl/3hNxP7jnPvgUs/67pZawAQA9XDAAre/H4EWYNx
 mBCyFFo0d9ewvVD7QbcPo6PBdd7uK7bXgFlCDN3Bmd74YNMjEJFW6t2TCLVl
 Xd6PiodGOhH8rF3fGQg6MQLsEMR/A0FBvR13m2shfJz7iGoArYPsTBEY4NOs
 5S8ZxhJQy4nhOhBlaoW2DEAkmwpIUyuMQjBLRKpItdYFEQOe1BA3CXDD3/su
 CPoCEu64oMn5NXS93fOuFetSWaYVgjkNQRJOIkgEemLMaYLw4gWjwrlRHwjV
 1dGq9+Xgz9anOR8BLdISj5TmE/4Z4Hi4bkfVCghqrOtQtcKuZ/Jp9Z1AUGAO
 CIyMADxk1snjPwJBwywEkWGnWBfKOHBMkJJ06LgqdJ42FYI3az3IBbOCtYwD
 w1AZANoylaYmA8XkMc6K+TAZSCaPZNA3EK8UdNvjqdQS4Y6bBpW7n4eJV1/W
 LiQEokxPpT4cHL+j2npPlapNBSBX2nPjCQUEEKS+A0HWKwAemajvgBoZdUtM
 EtT0i0vp8xg0bwl93JMO5a9dsmbgMijLHLEhKQmqZ8YmXHC3LXDbihF2fYGe
 f8IKsucIsd/+zTz5XMccWWaZg20t30KQsDqA2K8qQXtb367rEHF96HXaBnDU
 O3rJbSAjyTRmgKYJYYWjRaw2AVgklhgzwDFNFoilEDY2eK5eB6O7XnI8+CKY
 u/m6N9u1gzHGJYNd90DI/a4mlQ8iVi61or8y1jI/ZaxlBYkClXyyo/8wgk5R
 hAJayt3lYd/AkXaXXdf/SXDImMi4eKj5qHtjLNDaNVQLGw3qSZEo/3zyPqDN
 VpBx2nPPLYL0F8UtIhzaD3AHkwPulx3LVDGQgE+z1X4qgnSH6CeA7jnhC8Uy
 SPD23OC4Bsbf2Xdc8Ktw3l3u/pp2mtTOrRUEYDswqBJQSk7VaqB6W9eo6OtA
 RHTN7f4mqBx5qZ4CKJLVOlsUdo9Wdv0/BytIO8AKvx88nYJu0paBe67jab0r
 mBVc4Z8HyqMyaAfaMsLVZLh4TNcQrSf8OvrS21wuuKJjVLHrFfDcFfyatth6
 kn86gFprJZjUOEsfIsMcCqCKAp9oWVYQT51qBbUdQVix9ROCi5ZlMgVUO5mo
 60AqyVYK5OT1tuCrRCIIYd6ihkLE0t3v7+gAXeYW9d20CdwXH3v98DUg41q/
 8o+x7zvluecaQTJL66HrEFEdMlrrAZ3eDQtTXpDrRT9jBkRGht4h9sMEvZ8v
 +F54aMeoayOSYOTDvXuHPAae4pDH5fUAMsHKo8gEfYP1PGll+pZYiSsh2oIg
 aenOPnDKCeDbCLJXygV68AlF2QIXC884vgTwqjylIOTT8sePjILzy7dWb/oc
 uo7edOHacIj2rVv33iTo1Gnbti0Xg8tVmVrRDsQ6/2DjQwA1X312Ngo4gaBA
 q9MtBFkJJex0j/MlrYcogE6N7fL19dDlY4/X8RJMjh44IfgiuHXswKdc/4AO
 D4VOF7EgMgMzk0q3HDGVrJZbv2e8dV8bQelWUj7QLVWajaCcE+H/qn8DQQAy
 YMWcMWecqRixH4I+r3u7KgLO+8uOuZsnQ/CqI/ce2g/6cGN3az/QzQMvluSC
 6/mj9YfSIXLu7it3XgANpV2GdxkJ9Yui5vW0l6WMbJsG7G7w3QgCNc4/GBwv
 y6lkQ+egkC7aTXDhg+fNMdZDYt8LVjq3QPsBrmcdc0DEss2Sl5rs3wMgplix
 IJWj2XOchSAy/rsI4qS1Evh4NKAgMkDEqmFGNgQfrY6t2AfuX1V8dux10CJF
 shwAZp68U0aCWEqOMQRcv28JaSmHsL3lWw5OhE7vbO338Sjo3fvdw28Mbpvk
 T2/FdyMIxBR9AwQ97HhI06DLJE+RlgL1d7X8yswHY7Fh6CkgqmWNlQoVBZZK
 ZYLe064v2do/Fwg6aysIAlE9MH2nXy/sV1fxoErEFAlUZ3X8utt0MPVBj42Y
 Buft2bWoeAeEh+6b9WVXcCxsurFxEgDpRjtQSvlUdyDaStar2WoDxcD3pPVO
 L22LBWnTRDY50O6poCA+AGMvd8j3oLKy4R1/NnTJC22Qs4Ekcn7SWBDwLQTZ
 DfghBCWL/aBmO59xLIdacX5r9AJoGBkZ0v5FqBZd/VEDIXLcnpyd+yHs2KFe
 ZdeAc1dLTnMM1gcVmWBmqWn2BxptLQvt1n0vgjRNrhP50O6bYNNMh5ar/Nlm
 BRw/3tDeWAysUCWO7QAi13ak/iMI+sFYkK17S0F2nN5vm18nsvveMxRkX29P
 2uHielBKhGtZ4O/jXh1WBMe5ZMzAMvgmq09J/+vAtavuqZq/gSd67we7CyFk
 +tFRB0dAu711f6q11isZNLRF/t8fCwKm6BtAJop+ahm0K3T11AdDZEGoW7sb
 yl+v2yETobUEr/kbcCB6WIgVGbo1tmIthIgEM9cWbCAcbZUAgsZLH4CIlTYx
 bASdZSzoVAHbu9+ygmJshdjx8cCIog3haDVbxMoe0EjYE56+0Hj4svyBT4Es
 Nz6MDwXXx/4vWw8C37EC4bvL2YWjnU7ZqHIhQgQ/ayGo7tXWAmjt4/eL28CB
 zNHn2N3q54Kgb1lBVXYT7B7BPvs6O+FpZtvH2+KIlcpEbQWYpTJRlkJjlnO1
 wxLc7W3UwEK7dd+LIBAZsgQch+RmzQthDUFVZgVUJDbdYzwPrTf417iGAKXO
 XCy0/IytoK328YrTr7c/Pz2ZESs9/bpALChQAksVT3XENE2W6QfbKHrr7jZZ
 QSCEyAJ9jj5C7YM4GTFFHwGRT7o+dj4E/sGmaa1p/Q9bQbquPYgPRBZomeAf
 bEapYaCGqsnkgnxQJIj1oE+TiaoMWroYs/Q4+1UTTleYDJijWaBtkGVSt4Rs
 xkLrTWaUndpDCBBTxBIzHsRUcrV/gTlErcULokwsEQWgH5Rl9ACZIDLlTOA+
 rAW2P1hkpC2gKM0HoHIthy4wIsVKYdXjNaeA82rdJybD4F/GRYZ2B/8zaqb5
 OoSFBY1RVofJ1K1cebKN2lzD6ijJlsCJ0awPVmKsnLHYao/8DG2DLQ+bwaaV
 i9Y06/npaivopmnmy3XAEPviKOURxQCsIA5UPsksAaPKzBdWA9aesHoCKfIz
 crYCMKOUx/6fCieXXhSf0k+TVJ62HXhBjLcRN5lSUB6VJxaBIcxq4sGcJQrO
 bt1Y06SqNAAW2XZ8prCQWEkEAAl2zjmPaKCAO8X1EEJQo+Uji3/awcFEK7lO
 sm1MJFhoVivEOACRIKzl+uHWQFd5ViBbrLRzxCtUvHU+QBbr3+GYC1stv2af
 2Qz/D4Be4ixJKMDGAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f Makefile
	#docbook-to-man debian/gpxview.sgml > gpxview.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gpxview.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gpxview install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpxview 0.8.14

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.8.13$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.8.14$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 LANGS = en_GB de_DE fi_FI
 LANGS_HELP = en_GB de_DE fi_FI
+
+ICON_SIZES = 12x12 16x16 32x32 48x48 64x64 45x12 90x24
 
 all:
 
@@ -25,17 +27,24 @@
 	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
 	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
 	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
-		echo "Installing hildon help files"; \
+		echo "Installing hildon help files for maemo <= 4"; \
 		for LANG in $(LANGS_HELP); do \
 			install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
 			install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
 		done;\
+	else \
+	  echo "Installing backup configuration for maemo >= 5"; \
+	  install -d $(DESTDIR)/etc/osso-backup/applications ;\
+	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
 	fi
 
 install: install-maemo
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(datadir)/$(APP)
-	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP)
+	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
+	for SIZE in $(ICON_SIZES); do \
+		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
+		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\
+	done
 	for LANG in $(LANGS); do \
 		install -d $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES ;\
 		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o dbus.o
-VERSION = $${VERSION_PREFIX}0.8.13$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.8.14$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
gpxview (0.8.14) unstable; urgency=low

  * All icons redone (all scalable, all png)
  * Fixed button scale problem in log view
  * osso-backup configuration on fremantle
  * Some more fremantle'ization
	
 -- Till Harbaum <till@harbaum.org>  Mon, 09 Nov 2009 18:52:02 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves
 as a geocaching navigation tool.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# Maemo icon gpxview.48.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAVYSURBVGiB3ZptbFNVGMd/97brRjqQIYg4
 wuRFN8YmsKAhApIxjE4TYwJRo8m0WANGjSSwRKcfICJf9kWTYkLcRgYJgQQC
 gjoSN0QZC4lANjoIwl66gRu6hTH3Rrvee/xw27vdtXTd7aCb/6TJufc89+nv
 f/qcc89tKwkhAKxAIbARyAJsTEz5gHrgCFAM+CUhhBWoAl6IJ5kJ/Q7kyWgj
 P9ngQWMulIQQF4EcAPrnjF/6hG2QsB2A8hs/UN5wYtxSn84vDTYvyWg1P1mV
 JTNxJ2w0ssnxJohV1ni9sb/XS3tlA/4+X2ingL7WLuxpKcx/Z3nEPHEzcHln
 Jd1X/o4Y01HtwZJkZd6G7PvGxK2EhCKiiuvzdEXsj9snkFWUy+3TjaiDinZC
 CDrPt9LbdMcQlzR7asQ8cTOQONNO2hvPACCE4M9vqkPgAZAi54n7KhSEb//l
 hn4uecGMqK9/IJ/AwICg9mILly7vAeD2rD7URAXZZjHEhYOf8+JTJM6yh/80
 wmjcDAgBe0v72Vs6QP3VQfx+l6FfssjY06bzxCsZpOZnIAgPn751NZ6DtVG/
 77gYaL2psGlLN1VnwqzpAQlFpbfpDtddNXRUe0iYmsg/Z5v1/iC8JI1S9CMU
 s4GfTnl5+727/NsztCzKMmSkz2bFsy8BUFnzK+2Ntwg8e9BV22bIMRLeah/a
 3cgJxrIbVwOtNxUDvNUKRYXJFG61k5yy3bAbLXMfpfWIG8+hOq3eAnpszfyQ
 kZ+zfhEd5zwIRfD4uoUPxoAQsGlLtw6/YL6Fw/unsyInIWy8nGTF29lngAcY
 7PEijVgrrcmJ5BS/GhWH6WV0b2m/XvNWKxHhhRo6YQmMeFdtG39VXDOLEYuB
 Ab1dVJh8X3hVVSn7whWy2jz51lL9uO3nh2xgYEBQf3VQSyBD4VZ72DhVVXE6
 nZw9WqWfC07YeRuz9brva7mL6lPMoIyYAwnborqo9mKLvs5npM/WJuxIeFbi
 dDrZt2+ffm7Nhjw2ff0xkqyBNyw8Q1vDTYSissabyaLM9LE7ECbkcrkEIABR
 UFAQ0q8oinA4HHoMIBwOh1AUxRBXUFCg97tcLjMoYtz3QsGyGT7yDoeDkpIS
 ZHn8t16GEtrhvh7VRbcemam3K87V6NcJVeXEji+pPX5U73c4HJTs+gTZfSAk
 z4XqSr2dM+021JVHR7303fAGdrpvhMSGld8GFgsoCh1Njez8ww2JifD9t/Db
 EJQ+8u4DULffkKL3nsK15nYNwiKxzFsNdTWxGYhaNhvMTYOWJu3G9OMRuNNp
 gF/2+oaIZVNc0YoauKllpdqZYvL7BfNFmZc/1D5+2ADP2vW8tmPXfeEvNPew
 +6RHP96cm2oaw7yBdS/DksDNaPj2YO16+OBTpAjwb+6pxx94Js7LTInJQGy7
 0akjnlclCWbMBK83JLT3nkJxRSu7T3p0+GlTrJQ5FzPGHbRB5gwIoU3Y89Wh
 548dguOH+W7BQppXPQ9oq8215na95kGDP/jhEuY9mmQaHswYCMIPr/mVq6Gn
 B67U6TEdjQ3sb2wImyIvM4Uy5+KY4WGsBsLBB2oegNOnoKoCbrWAYtzbWC0S
 Wal2Nuemsjk3NaayMeSNOjISfJAmL197+Xy8b/WxvLsT0G5Sy7zVppfKSIrO
 QDTww2WzMTd7CR9lP60d15VHf5Mao0YfkrHCP2RFNjDB4WE0A1cvT2h4GM2A
 qg61JyA8jDaJs5fDZ19Bfx88t2rCwUM0q1B25F9I4q24fzsdq2S0n+8nq3wy
 2n8PJqvqJSHE58DueJOYVNH/4s8efiAPKAIuMbHnhA+NsQiN2f8f8Hm2TvAp
 xgUAAAAASUVORK5CYII=

## gpxview 0.9.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.8.14$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.9.0$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = gpxview
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 4
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
 
 LANGS = en_GB de_DE fi_FI
 LANGS_HELP = en_GB de_DE fi_FI
@@ -22,10 +22,10 @@
 	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
 	for s in 40 26; do \
 	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
-	  install -m 644 $(APP).$$s.png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
+	  install -m 644 icons/$${s}x$${s}/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
 	done
 	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
-	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
+	install -m 644 icons/64x64/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
 	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
 		echo "Installing hildon help files for maemo <= 4"; \
 		for LANG in $(LANGS_HELP); do \
@@ -40,7 +40,7 @@
 
 install: install-maemo
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
+	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
 	for SIZE in $(ICON_SIZES); do \
 		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
 		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\

=== src/Makefile ===
--- 
+++ 
@@ -19,21 +19,21 @@
 
 APP = gpxview
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
-EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o dbus.o
-VERSION = $${VERSION_PREFIX}0.8.14$${VERSION_SUFFIX}
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
+EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
+VERSION = $${VERSION_PREFIX}0.9.0$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin
 
 OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
 	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
 	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
-	garmin_export.o geotext.o gcvote.o $(EXTRA_OBJS) 
+	garmin_export.o geotext.o gcvote.o geotoad.o about.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0\" -DMAEMO_VERSION_MAJOR=5
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lz
+CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   -DLIBSOUP22 -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1.2\" -DMAEMO_VERSION_MAJOR=4 -DENABLE_MAEMO_MAPPER
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl -ldl -lssl -lcrypto -lz   -lsoup-2.2 -lgobject-2.0 -lxml2 -lglib-2.0   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
 
 all: $(APP)

=== debian/changelog ===
gpxview (0.9.0) unstable; urgency=low

  * GeoToad spidering support
  * Click on map nav coordinate jumps to destination
  * Click on map nav compass changes nav mode between gps/map center
  * Mark caches logged as found with the "found" indicator
  * Mark caches owned by user with the "mine" indicator
  * Also display a caches waypoints in "nav" mode
  * New "preset coordinates" tool to maintain various coordinates available
  * Use unified "preset coordinates" tool wherever appropriate
  * Display geomath result on map	
  * Fremantle coordinate picker
  * Fremantle distance picker
  * Fremantle direction picker
  * Keep reference of top window on fremantle to be used for dialogs
  * Fixed race condition in map gps handling
  * Fremantle: Update cache list on return from cache detail view
  * Tap'n hold enables text cursor for copy'n paste in text view (not in html!)
  * Ability to open external links from main description page
  * Nicer fremantle file selection button
  * Re-enabled Maemo Mapper support in fremantle
	
 -- Till Harbaum <till@harbaum.org>  Tue, 17 Nov 2009 17:26:40 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves as a geocaching navigation tool.
 .
 Geocaching is a worldwide game of hiding and seeking treasure. A geocacher can place a geocache in the world, pinpoint its location using GPS technology and then share the geocache's location online.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# Maemo icon 26x26/gpxview.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAALPwAACz8BScUy+wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAANbSURBVEiJvZZdaFN3GMZ/5zSNzWljP4zV
 2OiEGZ2bH9MhK6yubLOUUdgGhYmdc6urTBGxUHTi5i42t4vJxLIbR8LwwsHQ
 K0WHsDImuFIsNmo6hx+ja1doqqlZkp6TNh/n3UU6WTltGtduD/zhHHjP8/s/
 7/teHETEIyI+EdFl7qVPeHsUEfEhfS1krpKXCuqJpwv5+f71vMrXlnup0ir9
 NqCJzFVItuYHKupgOOHki5vf5FV+cN1OqrTKJhXQ8iPMSppttg79Z24wcDb4
 6N0cT1PkdvL8142T6mYN0paUUrbODSKM/jbCmJ5kLDRqqVNnC1pYs5w1H71M
 oXMeYw90ihYWo9oLLHV5JxoKmVy8NE5P8FOiKTtDJX0s2OShsNzB7RNXGPrh
 Lu46L6n4OH8GQ/8O5D+VoO1QjFhcUNWzAJimiU0rpHh5BdFbw7jrvKxqraH3
 6I9TeszYOv+pBLv2Rlm8uIBzZ8qJjHRybSDI2iOvAArRW8OUPr2IVa01KIqC
 u86L541nHi/RUMik7VCMlV4bgc4FaJoCRSVoaIS7BkgbSWyaHf33h6QiCewV
 Gq7qZbiqlz1eoouXxonFhWOfObMQsi07vO+DRzNZ3baZtJFipHswd2tERMSM
 iGR6LWfP7q2iqqpEI10imV7JpG5Kc/MOAaRx+5tyO9IngcFfRFVVaXrvbbkb
 7becWHJURERsAA9TxQzoSy2XCCdLAAjGPDgyxXyyfx/nvj1N87s78B/7ENVM
 E0snASiVDCsmnifJNIGJGZ0fHKa564a1SNXANKlpPwnXuuByB6+/tT0L+X4P
 AD8FwpimyUZ64ML7Vo8XDsKT9TOs94ZN4NDg5HEwDKjdwsftX6EqYQCMZIYD
 391jvsNGw3pXTqvc611aDkufyEI0DZ6rJqHrxOKjnA+E2XCkmzshgy+3rcBd
 Zs9pNX0iEfC1w51fYeVq+KMfjh/lxROfA9ntm++w4dv5FC21S3JCpgf9Dbnc
 AbVbYNd+iEYg0E2jaeAiwUZ6aFjvmjHJ9KCpIIoCZRXwUj2HX93Ms3J/6sHn
 kHVGp31WyBzImigWhboGeGf3nEGmBu09MGfm/5QKGP+J82QZioj47sX1lisP
 Inl98ZpnERUyBoOd+SEq14Czys//9QP5F+a0OtFOgchLAAAAAElFTkSuQmCC

## gpxview 0.9.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.9.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.9.1$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = ${prefix}/share
 datadir = ${prefix}/share
 EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.9.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.9.1$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
gpxview (0.9.1) unstable; urgency=low

  * About box text wrap fix for diablo/chinnok
  * Cachelist redraw timer re-done to allow cachelist search in fremantle
  * Updated map widget to Maep 1.0.1 (map centering fixed)
  * Fixed duplicate handling in map
  * Fixed search result handling in map
  * Cope with invalid position in pos entry
  * Hide nav/goto for location less caches
  * Fixed localization of decimal seperator in coordinate picker
  * Fixed gps on/off handling in fremantle
  * Prevent search-in-search on fremantle
  * Fixed search result handling in map
  * Fremantleized number_editor in search
	
 -- Till Harbaum <till@harbaum.org>  Wed, 09 Dec 2009 21:08:41 +0100
